GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Variables
engine_graph.h File Reference
`#include "fourdst/composition/atomicSpecies.h"`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/logging/logging.h"`
`#include "fourdst/config/config.h"`
`#include "gridfire/network.h"`
`#include "gridfire/reaction/reaction.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/screening/screening_abstract.h"`
`#include "gridfire/screening/screening_types.h"`
`#include "gridfire/partition/partition_abstract.h"`
`#include "gridfire/engine/procedures/construction.h"`
`#include <string>`
`#include <unordered_map>`
`#include <vector>`
`#include <memory>`
`#include <ranges>`
`#include <boost/numeric/ublas/matrix_sparse.hpp>`
`#include "cppad/cppad.hpp"`
`#include "cppad/utility/sparse_rc.hpp"`
`#include "cppad/speed/sparse_jac_fun.hpp"`
`#include "procedures/priming.h"`
`#include "quill/LogMacros.h"`

Go to the source code of this file.

## Classes
class | gridfire::GraphEngine
| A reaction network engine that uses a graph-based representation. More...
struct | gridfire::GraphEngine::PrecomputedReaction
struct | gridfire::GraphEngine::constants
class | gridfire::GraphEngine::AtomicReverseRate

## Namespaces
namespace | gridfire

## Typedefs
typedef CppAD::AD< double > | gridfire::ADDouble
| Alias for CppAD AD type for double precision.

## Variables
static constexpr double | gridfire::MIN_DENSITY_THRESHOLD = 1e-18
| Minimum density threshold below which reactions are ignored.
static constexpr double | gridfire::MIN_ABUNDANCE_THRESHOLD = 1e-18
| Minimum abundance threshold below which species are ignored.
static constexpr double | gridfire::MIN_JACOBIAN_THRESHOLD = 1e-24
| Minimum value for Jacobian matrix entries.